EX(1)

NAME
e, ex, edit - text editor

SYNOPSIS
ex [ - ] [ -v ] [ -t tag ] [ -r ] [ -l ] [ -wn ] [ -x ] [ -R ] [ +command ] name ...
edit [ ex options ]

DESCRIPTION
Ex is the root of a family of editors: edit, ex, e and vi. Ex and e are synonyms, so all further references to Ex also apply to e. Ex is a superset of ed, with the most notable extension being a display-editing facility. Display-based editing is the focus of vi.

If you are a casual user only, or have not used ed, you will find the editor edit convenient; it avoids some of the complexities of ex, which is used mostly by system programmers and people who are familiar with ed.

If you have a CRT terminal, you may wish to use a display- based editor; in this case see vi(1), which is a command that focuses on the display-editing portion of ex.

OPTIONS

-   Suppress all interactive-user feedback; useful in processing editor scripts in command files.

-v  Equivalent to using vi rather than ex.

-t  Equivalent to an initial tag command, editing the file containing the tag and positioning the editor at its definition.

-r  Recover after an editor or system crash, retrieving the last saved version of the named file or, if no file is specified, type a list of saved files.

-l  Set up for editing LISP, setting the showmatch and lisp options.

-w  Set the default window size to n; useful on dialups to start in small windows.

-x  Cause ex to prompt for a key , which is used to encrypt and decrypt the contents of the file. (The contents of the file should already be encrypted using the same key; see crypt (1).

-R  Set the readonly option at the start. The name ... arguments indicate files to be edited. An argument of the form +command indicates that the editor should begin by executing the specified command. If command is omitted, then it defaults to $ , positioning the editor at the last line of the first file initially. Other useful commands here are scanning patterns of the form /pat or line numbers, e.g. +100, starting at line 100.

DOCUMENTATION
The document Edit: A tutorial provides a comprehensive introduction to edit and does not assume knowledge of computers or the UNIX system.

The Ex Reference Manual - Version 3.5 is a complete manual for the command-mode features of ex, but it does not teach you how to use the editor. For an introduction to more advanced forms of editing using the command mode of ex, see the editing documents written by Brian Kernighan for the editor ed; the material in the introductory and advanced documents works also with ex.

An Introduction to Display Editing with Vi introduces the display editor vi and provides reference material on it. All these documents are found in volume 2c of the Programmer's Manual. In addition, the Vi Quick Reference card summarizes the commands of vi and has a helpful introduction.

FILES
/usr/lib/ex?.?strings    error messages
/usr/lib/ex?.?recover    recover command
/usr/lib/ex?.?preserve    preserve command
/etc/termcap    describes capabilities of terminals
~/.exrc    editor startup file
/tmp/Vinnnnnn    editor temporary
/tmp/Rinnnnnn    named buffer temporary
/usr/preserve    preservation directory

SEE ALSO
awk(1), ed(1), grep(1), sed(1), grep(1), vi(1), termcap(5), environ(7)

AUTHOR
Originally written by William Joy.
Mark Horton has maintained the editor since version 2.7, adding macros, support for many terminals, and other features such as word abbreviation mode.

BUGS
The x command and -x command line option are available only when the DYNIX Cryptographic Software option has been installed.

The undo command causes all marks to be lost on lines changed and then restored if the marked lines were changed.

Undo never clears the buffer modified condition.

The z command prints a number of logical rather than physical lines. More than a screen full of output may result if long lines are present.

File input/output errors don't print a name if the command line `-' option is used.

There is no easy way to do a single scan ignoring case.

The editor does not warn if text is placed in named buffers and not used before you exit the editor.

Null characters are discarded in input files and cannot appear in resultant files.